Bug 247081 - Initscript Review
Initscript Review
Product: Fedora
Classification: Fedora
Component: tux (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
Reported: 2007-07-05 10:00 EDT by Harald Hoyer
Modified: 2013-01-09 20:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-15 11:54:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 10:00:54 EDT
Please have a look at the wikipage 
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Jesse Keating 2007-11-15 11:54:39 EST
Tux is no longer in the distro.

Note You need to log in before you can comment on or make changes to this bug.